ResourceManagerSystemException (Mule ESB 2.2.1 API)
Keywords: org.mule.util.xa.ResourceManagerSystemException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.xa
Class ResourceManagerSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.util.xa.ResourceManagerException
                      org.mule.util.xa.ResourceManagerSystemException

All Implemented Interfaces:
  Serializable

    public class ResourceManagerSystemException

extends ResourceManagerException

See Also:
  Serialized Form

Constructor Summary
`ResourceManagerSystemException()`
`ResourceManagerSystemException(Message message)`
`ResourceManagerSystemException(Message message, Throwable cause)`
`ResourceManagerSystemException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceManagerSystemException

    public ResourceManagerSystemException()

### ResourceManagerSystemException

    public ResourceManagerSystemException(Message message)

Parameters:
  `message` -

### ResourceManagerSystemException

    public ResourceManagerSystemException(Throwable cause)

Parameters:
  `cause` -

### ResourceManagerSystemException

    public ResourceManagerSystemException(Message message,
                                          Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.